# MSP::CCS::Stereographic Class Reference

`#include <Stereographic.h>`

Inheritance diagram for MSP::CCS::Stereographic:

List of all members.

## Public Member Functions

| Stereographic (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double originLatitude, double falseEasting, double falseNorthing)
| Stereographic (const Stereographic &s)
| ~Stereographic (void)
Stereographic & | operator= (const Stereographic &s)
MapProjection4Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 109 of file Stereographic.h.

## Constructor & Destructor Documentation

Stereographic::Stereographic | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | originLatitude,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 132 of file Stereographic.cpp.

Stereographic::Stereographic | ( | const Stereographic & | s | ) |

Definition at line 235 of file Stereographic.cpp.

Stereographic::~Stereographic | ( | void |  | ) |

Definition at line 253 of file Stereographic.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * Stereographic::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 303 of file Stereographic.cpp.

MSP::CCS::GeodeticCoordinates * Stereographic::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 407 of file Stereographic.cpp.

MapProjection4Parameters * Stereographic::getParameters | ( |  | ) | const

Definition at line 281 of file Stereographic.cpp.

Stereographic & Stereographic::operator= | ( | const Stereographic & | s | ) |

Definition at line 258 of file Stereographic.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/stereogr/Stereographic.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/stereogr/Stereographic.cpp